]> Frank Brehm's Git Trees - config/helga-hetzner/etc.git/commitdiff
committing changes in /etc made by "apt install -y netfilter-persistent"
authorFrank Brehm <frank@brehm-online.com>
Sun, 11 Apr 2021 15:17:26 +0000 (17:17 +0200)
committerFrank Brehm <frank@brehm-online.com>
Sun, 11 Apr 2021 15:17:26 +0000 (17:17 +0200)
Package changes:
+netfilter-persistent 1.0.11+deb10u1 all

.etckeeper
default/netfilter-persistent [new file with mode: 0644]
init.d/netfilter-persistent [new file with mode: 0755]
rc0.d/K01netfilter-persistent [new symlink]
rc1.d/K01netfilter-persistent [new symlink]
rc6.d/K01netfilter-persistent [new symlink]
rcS.d/S01netfilter-persistent [new symlink]
systemd/system/multi-user.target.wants/netfilter-persistent.service [new symlink]

index 115306350e1380d28516f5100b2f56bf053b283f..3508d6de8e74b3efc2db634b0578ef28c51bfd65 100755 (executable)
@@ -480,6 +480,7 @@ maybe chmod 0644 'default/keyboard'
 maybe chmod 0644 'default/locale'
 maybe chmod 0644 'default/mdadm'
 maybe chmod 0644 'default/mysql'
+maybe chmod 0644 'default/netfilter-persistent'
 maybe chmod 0644 'default/networking'
 maybe chmod 0644 'default/nginx'
 maybe chmod 0644 'default/nss'
@@ -686,6 +687,7 @@ maybe chmod 0755 'init.d/lvm2-lvmpolld'
 maybe chmod 0755 'init.d/mdadm'
 maybe chmod 0755 'init.d/mdadm-waitidle'
 maybe chmod 0755 'init.d/mysql'
+maybe chmod 0755 'init.d/netfilter-persistent'
 maybe chmod 0755 'init.d/networking'
 maybe chmod 0755 'init.d/nginx'
 maybe chmod 0755 'init.d/php7.3-fpm'
diff --git a/default/netfilter-persistent b/default/netfilter-persistent
new file mode 100644 (file)
index 0000000..7b31799
--- /dev/null
@@ -0,0 +1,4 @@
+# Configuration for netfilter-persistent
+# Plugins may extend this file or have their own
+
+FLUSH_ON_STOP=0
diff --git a/init.d/netfilter-persistent b/init.d/netfilter-persistent
new file mode 100755 (executable)
index 0000000..1b4f1c0
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# This file is part of netfilter-persistent
+# Copyright (C) 2014 Jonathan Wiltshire
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3
+# of the License, or (at your option) any later version.
+
+### BEGIN INIT INFO
+# Provides:          netfilter-persistent
+# Required-Start:    mountkernfs $remote_fs
+# Required-Stop:     $remote_fs
+# Default-Start:     S
+# Default-Stop:      0 1 6
+# Short-Description: Load boot-time netfilter configuration
+# Description:       Loads boot-time netfilter configuration
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "$1" in
+start|restart|reload|force-reload)
+    log_action_begin_msg "Loading netfilter rules"
+    /usr/sbin/netfilter-persistent start
+    log_action_end_msg $?
+       ;;
+save)
+    log_action_begin_msg "Saving netfilter rules"
+    /usr/sbin/netfilter-persistent save
+    log_action_end_msg $?
+       ;;
+stop)
+    log_action_begin_msg "Stopping netfilter rules"
+    /usr/sbin/netfilter-persistent stop
+    log_action_end_msg $?
+       ;;
+flush)
+    log_action_begin_msg "Flushing netfilter rules"
+    /usr/sbin/netfilter-persistent flush
+    log_action_end_msg $?
+       ;;
+*)
+    echo "Usage: $0 {start|restart|reload|force-reload|save|flush}" >&2
+    exit 1
+    ;;
+esac
+
+exit $rc
diff --git a/rc0.d/K01netfilter-persistent b/rc0.d/K01netfilter-persistent
new file mode 120000 (symlink)
index 0000000..0729900
--- /dev/null
@@ -0,0 +1 @@
+../init.d/netfilter-persistent
\ No newline at end of file
diff --git a/rc1.d/K01netfilter-persistent b/rc1.d/K01netfilter-persistent
new file mode 120000 (symlink)
index 0000000..0729900
--- /dev/null
@@ -0,0 +1 @@
+../init.d/netfilter-persistent
\ No newline at end of file
diff --git a/rc6.d/K01netfilter-persistent b/rc6.d/K01netfilter-persistent
new file mode 120000 (symlink)
index 0000000..0729900
--- /dev/null
@@ -0,0 +1 @@
+../init.d/netfilter-persistent
\ No newline at end of file
diff --git a/rcS.d/S01netfilter-persistent b/rcS.d/S01netfilter-persistent
new file mode 120000 (symlink)
index 0000000..0729900
--- /dev/null
@@ -0,0 +1 @@
+../init.d/netfilter-persistent
\ No newline at end of file
diff --git a/systemd/system/multi-user.target.wants/netfilter-persistent.service b/systemd/system/multi-user.target.wants/netfilter-persistent.service
new file mode 120000 (symlink)
index 0000000..8589be0
--- /dev/null
@@ -0,0 +1 @@
+/lib/systemd/system/netfilter-persistent.service
\ No newline at end of file